Page MenuHomePhabricator

[Regression?] VE corruption issue(?) moving pre-existing categories to the middle of the page
Closed, ResolvedPublic8 Story Points

Description

In https://fr.wikipedia.org/w/index.php?title=Église_orthodoxe_celtique&diff=prev&oldid=108126191 we see:

Ferrette n[[Catégorie:Église orthodoxe en France|Celtique]]'a jamais pu présenter la preuve de cette consécration.

This doesn't make any sense at all. Please figure out a way to stop putting categories in the middle of sentences.

In https://fr.wikipedia.org/w/index.php?title=Boulimie&diff=prev&oldid=108006315 we find:

  • la boulimie perdure<ref>20 % [[Catégorie:Borderline]][[Catégorie:Trouble des conduites alimentaires]][[Catégorie:Dépendance comportementale]]des patients présentent encore de la boulimie après 5 à {{nombre|10|ans}} de suivi.</ref>

This is wrong. Please figure out of a way to stop putting categories in the middle of foonotes.

In https://fr.wikipedia.org/w/index.php?title=Bloomsbury_%28Londres%29&diff=108070420&oldid=106082114 we discover:

[[Samuel Coleridge-Taylor]], musicien et compositeur, naît au N{{º}} 15 Theobald's Road<ref>{{en}}[http://www.bl.uk/onlinegallery/features/blackeuro/coleridgebackground.html Coleridge-Taylor's e][[Catégorie:Camden (borough londonien)]][http://www.bl.uk/onlinegallery/features/blackeuro/coleridgebackground.html arly life], site officiel de la ''British Library''</ref>.

This is unwanted. Please figure out a way to stop putting categories in the middle of an external link inside footnotes.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50373
https://bugzilla.wikimedia.org/show_bug.cgi?id=50882

Details

Reference
bz72048
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:53 AM
bzimport set Reference to bz72048.

Did something change with how VE generates category link tags? For one, I don't remember but weren't new link tags being added to a specific section of the DOM rather than where the cursor is. For another, it looks like Parsoid isn't recognizing these links are "new" category links (we would still serialize the link tags where they were, but on a new line by itself -- whereas here, it seems to be rendering inline, which we only do for original links found in wikitext to prevent dirty diffs).

Roan: can you take a look?

Meanwhile, independently, for all new tags, Parsoid should stop relying on clients to add new category link tags at the beginning/end and instead collect them and serialize them in a specific area. This would be a low priority task if this was just something that changed in VE that can be readily fixed.

Parsoid shouldn't be recognizing these cats as "new", because they aren't. All of those diffs show categories being moved out of its correct location and stuffed into a nonsensical one. There are no new categories being added here.

This is very likely a VE issue then -- the HTML for these categories probably got moved out of their original correct location to where they were found (and which Parsoid serializes).

If not new, then Parsoid cannot arbitrarily move them from where they showed up in the DOM to a different place since that could introduce dirty diffs.

On irc, Roan thinks this is a VE/data-corruption bug. Re-assigning.

(In reply to NicoV from comment #5)

Any news on this ?
It's still happening, and once it started it seems to be worse at the next
edit:
https://fr.wikipedia.org/w/index.php?title=Les_Colombes_du_Roi-
Soleil&diff=prev&oldid=108398195
https://fr.wikipedia.org/w/index.php?title=Les_Colombes_du_Roi-
Soleil&diff=next&oldid=108398195

That's not the same bug – it's clearly an issue in Parsoid, and a much more severe one than some trivial (if unhelpful) moving around of valid wikitext. I've created bug 72591 for that.

Please, in future, open a new bug when a bug's symptoms are suddenly significantly different. That bug needs much more urgent attention than this, and it's only because I was reviewing our overall set that I even saw this. :-(

(In reply to James Forrester from comment #6)

(In reply to NicoV from comment #5)

Any news on this ?
It's still happening, and once it started it seems to be worse at the next
edit:
https://fr.wikipedia.org/w/index.php?title=Les_Colombes_du_Roi-
Soleil&diff=prev&oldid=108398195
https://fr.wikipedia.org/w/index.php?title=Les_Colombes_du_Roi-
Soleil&diff=next&oldid=108398195

That's not the same bug – it's clearly an issue in Parsoid, and a much more
severe one than some trivial (if unhelpful) moving around of valid wikitext.
I've created bug 72591 for that.
Please, in future, open a new bug when a bug's symptoms are suddenly
significantly different. That bug needs much more urgent attention than
this, and it's only because I was reviewing our overall set that I even saw
this. :-(

Belay that; I got confused by people shouting at me in IRC and giving me multiple links at once.

Well, I don't see any real difference between the first edit reported in my comment (#5), and the third example reported in the description of this bug by WhatamIdoing. They both involve categories moved in a reference, in a middle of an external link who has been split in two...

I was the one who reported the problem 2 weeks ago on enwiki, it already seemed severe to me at the time.

NicoV, do you know how to make this happen? Bugs that can be consistently reproduced are usually easier to solve (and it's always easier to know that you have actually solved them).

Not the slightest idea, just tired of fixing articles.

Etonkovidova added a comment.EditedDec 31 2014, 10:46 PM

The easiest way to see the issue

  • have some Categories on a page
  • have the template(the attached screenshot refers to 'Infobox settlement') inserted on the page
  • insert another template, e.g. 'Infobox person'
  • in VE drag 'Infobox person' to place it lower than 'Infobox settlement'
  • check the diff - look at the screenshot.

The markup for 'Infobox settlement' for which reproducing the issue was most reliable:

{{Infobox settlement
|official_name = Portal, Arizona
|settlement_type = [[Unincorporated area|Unincorporated community]] 
|nickname = 
|motto =

<!-- Images -->
|image_skyline = 
|imagesize = 
|image_caption = 
|image_flag = 
|image_seal =

<!-- Maps -->
|image_map = 
|mapsize = 
|map_caption = 
|image_map1 = 
|mapsize1 = 
|map_caption1 = 
|pushpin_map = Arizona

<!-- Location -->
|coordinates_region = US-AZ
|subdivision_type = [[List of countries|Country]]
|subdivision_name = [[United States]]
|subdivision_type1 = [[Political divisions of the United States|State]]
|subdivision_name1 = [[Arizona]]
|subdivision_type2 = [[List of counties in Arizona|County]]
|subdivision_name2 = [[Cochise County, Arizona|Cochise]]

<!-- Government -->
|government_footnotes = 
|government_type = 
|leader_title = 
|leader_name = 
|leader_title1 = 
|leader_name1 = 
|established_title = 
|established_date =

<!-- Area -->
|unit_pref  =  
|area_footnotes = 
|area_magnitude = 
|area_total_km2 = 
|area_land_km2 = 
|area_water_km2 = 
|area_total_sq_mi = 
|area_land_sq_mi = 
|area_water_sq_mi =

<!-- Population -->
|population_as_of = 
|population_footnotes = 
|population_total = 
|population_density_km2 = 
|population_density_sq_mi =

<!-- General information -->
|timezone = [[Mountain Time Zone|Mountain (MST)]]
|utc_offset = -7
|timezone_DST = 
|utc_offset_DST = 
|elevation_footnotes = 
|elevation_m = 
|elevation_ft = 4760
|latd = 31 |
latm = 54 |
lats = 49 |
latNS = N |
longd = 109 |
longm = 08 |
longs = 29 |
longEW = W |
coordinates_display=%

<!-- Area/postal codes & others -->
|postal_code_type = 
|postal_code = 
|area_code = [[Area code 520|520]]
|blank_name = [[Geographic Names Information System|GNIS]] feature ID
|blank_info = 9657<ref name=gnis>{{gnis|9657}}</ref>
|blank1_name =
|blank1_info = 
|website = 
|footnotes = 
}}

Elitre awarded a token.Jan 2 2015, 9:08 AM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF renamed this task from VisualEditor: [Regression] VE corruption issue(?) moving pre-existing categories to the middle of the page to [Regression?] VE corruption issue(?) moving pre-existing categories to the middle of the page.Feb 18 2015, 8:11 PM

Here's another: https://fr.wikipedia.org/w/index.php?title=Procès_de_Nuremberg&diff=111949556&oldid=111845162

This one moves the category and also moves some of the <!-- HTML comments --> that were placed after a ==Section heading==. The bug that rearranges the one might be moving the other, too.

Here's another: https://fr.wikipedia.org/w/index.php?title=Procès_de_Nuremberg&diff=111949556&oldid=111845162
This one moves the category and also moves some of the <!-- HTML comments --> that were placed after a ==Section heading==. The bug that rearranges the one might be moving the other, too.

That's a diff between two different pages; I think there might be a typo in the URL there?

The link works for me when I click on it. If it doesn't work for you, then
look at this user's edit on 18 February 2015:
https://fr.wikipedia.org/wiki/Spécial:Contributions/Quentin1098

Change 194194 had a related patch set uploaded (by Catrope):
Work around Array.prototype.splice being broken in Safari

https://gerrit.wikimedia.org/r/194194

Change 194194 merged by jenkins-bot:
Work around Array.prototype.splice being broken in Safari

https://gerrit.wikimedia.org/r/194194

Whatamidoing-WMF reopened this task as Open.Mar 8 2015, 12:20 AM